#include "layersettingswidget.h"
#include "ui_layersettingswidget.h"

LayerSettingsWidget::LayerSettingsWidget(QWidget *parent, int layer) :
    QWidget(parent),
    ui(new Ui::LayerSettingsWidget),
    m_layer(layer)
{
    ui->setupUi(this);
    connect(ui->address, SIGNAL(valueChanged(int)),
            this, SLOT(addressChanged(int)));
    connect(ui->universe, SIGNAL(valueChanged(int)),
            this, SLOT(universeChanged(int)));
}

LayerSettingsWidget::~LayerSettingsWidget()
{
    delete ui;
}

void LayerSettingsWidget::setAddress(int add)
{
    ui->address->setValue(add);
}

int LayerSettingsWidget::getAddress()
{
    return ui->address->value();
}

void LayerSettingsWidget::setUniverse(int uni)
{
    ui->universe->setValue(uni);
}

int LayerSettingsWidget::getUniverse()
{
    return ui->universe->value();
}

void LayerSettingsWidget::universeChanged(int val)
{
    Settings::getInstance()->changeLayerSetup(m_layer, val, ui->address->value());
}

void LayerSettingsWidget::addressChanged(int val)
{
    Settings::getInstance()->changeLayerSetup(m_layer, ui->universe->value(), val);
}
