/*
   Libre Media Server Audio - An Open source Media Server for arts and performing.
   (c) Criptomart - Santiago Noreña 2012-2024 <lms@criptomart.net>
   https://git.criptomart.net/libremediaserver

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef LIBREMEDIASERVERAUDIOUI_H
#define LIBREMEDIASERVERAUDIOUI_H

#include <QDockWidget>
#include <QWebView>

#include "audiowidget.h"
#include "dmxwidget.h"
#include "defines.h"
#include "ui_libremediaserver-audio-gui.h"

class libreMediaServerAudioUi : public QMainWindow
{
    Q_OBJECT

public:
    libreMediaServerAudioUi(QWidget *parent = 0);
    virtual ~libreMediaServerAudioUi();
    AudioWidget *m_aw;
    dmxWidget *m_dmxWidget;

private:
    Ui::LibreMediaServerAudio ui;

private slots:
    void olasetup();
};

#endif // LIBREMEDIASERVERAUDIOUI_H
